export declare class EclBanner {
    el: HTMLElement;
    theme: string;
    styleClass: string;
    external: boolean;
    variant: string;
    fullWidth: boolean;
    bannerTitle: string;
    image: string;
    imageAlt: string;
    ctaLabel: string;
    ctaLink: string;
    centered: boolean;
    credit: string;
    size: string;
    ctaClicked: boolean;
    getClass(): string;
    componentDidRender(): void;
    render(): any;
}
